@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@400;600&display=swap');

.circle-container {
    display: flex;
    justify-content: center;
    margin-top: 100px;
  }
  
  #circle {
    width: 370px;
    height: 370px;
    background: #D9D9D9;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: flex-end;
    transition: opacity 1s ease-out;
    transition: background 1s;
  }   
  
  .btn-restart {
    width: 130px;
    height: 40px;
    background-color: #2F2F2F;
    color: #FFF;
    border-radius:8px;
    border: none;
    margin-bottom: 30px;
    cursor: pointer;
  }
  
  .btn-sum-container {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 50px;
  }
  
  .btn-sum {
    width: 60px;
    height: 60px;
    background-color: #466EFB;
    border-radius: 50%;
    border: none;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
  }
  
  #transparent-color {
    width: 100%;
    height: 800px;
    background-color: #00000030;
    position: absolute;
    bottom: 0;
    display: none;
  }
  
  #form-container {
    display: flex;
    justify-content: center;
    margin-top: 100px;
    position: relative;
    bottom: 500px;
    display: none;
  }
  
  .form {
    width: 511px;
    height: 400px;
    background: #EDEDED;
    border: 1px solid black;
    border-radius: 4px;
  }
  
  .close-form-container {
    display: flex;
    justify-content: flex-end;
  }
  
  .close-form {
    width: 26px;
    height: 26px;
    background-color: #D04A4A;
    border-radius: 50%;
    margin: 16px 13px 0 0;
    cursor: pointer;
  }
  
  .title-form {
    height: 30px;
    margin: 30px 0 32px 32px;
  }
  
  .input-form {
    width: 430px;
    height: 40px;
    border: 2px solid black;
    margin-left: 32px;
    border-radius: 8px;
    padding-left: 16px;
  }
  
  .label-bold{
    font-weight: 600;
  }
  
  .inputs-checked-form {
    margin: 15px 0 20px 32px;
  }
  
  .btn-confirm-form {
    width: 452px;
    height: 46px;
    background-color: #5b5f6e;
    color: #FFF;
    margin-left: 32px;
    border-radius: 8px;
    border: none;
    font-weight: 600;
    letter-spacing: 0.5px;
    cursor: not-allowed;
    
  }
  
  .elipses-container {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    max-width: 800px;
    margin: auto;
  }
  
  .elipse {
    width: 100px;
    height: 100px;
    border-radius: 50%;
    border: none;
    cursor: pointer;
    margin: 30px;
    content: "cor da label";
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all .2s ease-in-out;
  }
  
  .elipse:hover {
    transform: scale(1.2); 
  } 
   @media screen and (max-width: 750px){
    /* modal */
    .form {
      width: 411px;
      height: 350px;
    }
    .input-form {
      width: 330px;
      height: 35px;
    }

  .btn-confirm-form {
    width: 355px;
    height: 40px;
  }
    /* circulo */
    #circle{
      width: 300px;
      height: 300px;
    }
    .btn-restart{
      width: 100px;
      height: 40px;
      font: 18px;
    }
    .btn-sum{
      width: 50px;
      height:50px;
      margin-bottom: 15px;
    }
    .elipse{
      width: 90px;
      height: 90px;
      margin: 10px;
    }
  }
  @media screen and (max-width: 500px){

    .form {
      width: 380px;
      height: 300px;
    }
    .input-form {
      width: 280px;
      height: 25px;
    }

  .btn-confirm-form {
    width: 305px;
    height: 35px;
  }
   
    #circle{
      width: 250px;
      height: 250px;
    }
    .btn-restart{
      width: 80px;
      height: 30px;
      font: 16px;
    }
    .btn-sum{
      width: 40px;
      height:40px;
      margin-bottom: 15px;
    }
    .elipse{
      width: 60px;
      height: 60px;
      margin: 10px;
    }
  }